Bug 1114823 - python-jinja2 not compatible with EPEL5
Summary: python-jinja2 not compatible with EPEL5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-jinja2
Version: el5
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-01 05:55 UTC by Jan ONDREJ
Modified: 2016-09-20 02:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-16 06:30:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan ONDREJ 2014-07-01 05:55:44 UTC
Description of problem:
Your latest patch of bccache.py is not compatible with python in EPEL5.

Version-Release number of selected component (if applicable):
python-jinja2-2.2.1-2.el5

How reproducible:
always

Steps to Reproduce:
1. python
2. import jinja2

Actual results:
[root@mail ~]# python
Python 2.4.3 (#1, Jan  9 2013, 06:47:03) 
[GCC 4.1.2 20080704 (Red Hat 4.1.2-54)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import jinja2
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib64/python2.4/site-packages/jinja2/__init__.py", line 44, in ?
    from jinja2.bccache import BytecodeCache, FileSystemBytecodeCache, \
  File "/usr/lib64/python2.4/site-packages/jinja2/bccache.py", line 213
    except OSError as e:
                    ^
SyntaxError: invalid syntax

Expected results:
no error

Additional info:
This simple patch should fix this problem for python-2.4:

--- bccache.py  2014-07-01 07:36:57.000000000 +0200
+++ bccache.pyx 2014-07-01 07:36:57.000000000 +0200
@@ -210,7 +210,7 @@
         actual_dir = os.path.join(tmpdir, dirname)
         try:
             os.mkdir(actual_dir, stat.S_IRWXU) # 0o700
-        except OSError as e:
+        except OSError, e:
             if e.errno != errno.EEXIST:
                 raise

Comment 1 Thomas Moschny 2014-07-18 16:34:41 UTC
Oops. Thanks for the heads-up!

Comment 2 Fedora Update System 2014-07-18 16:45:32 UTC
python-jinja2-2.2.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-jinja2-2.2.1-3.el5

Comment 3 Fedora Update System 2014-07-20 17:59:49 UTC
Package python-jinja2-2.2.1-3.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-jinja2-2.2.1-3.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1941/python-jinja2-2.2.1-3.el5
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-08-01 19:20:40 UTC
python-jinja2-2.2.1-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-jinja2-2.2.1-4.el5

Comment 5 Fedora Update System 2014-08-19 16:24:42 UTC
python-jinja2-2.2.1-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.